Package org.apache.commons.compress.compressors.pack200

# Class Pack200CompressorOutputStream

java.lang.Object
java.io.OutputStream
java.io.FilterOutputStream
org.apache.commons.compress.compressors.CompressorOutputStream<OutputStream>
org.apache.commons.compress.compressors.pack200.Pack200CompressorOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class Pack200CompressorOutputStream extends CompressorOutputStream<OutputStream>
An output stream that compresses using the Pack200 format.

Since:
  1.3
This class is not thread-safe

- ## Field Summary

  ### Fields inherited from class java.io.FilterOutputStream

  `out`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Pack200CompressorOutputStream(OutputStream out)`
  Compresses the given stream, caching the compressed data in memory.
  `Pack200CompressorOutputStream(OutputStream out, Map<String,String> props)`
  Compresses the given stream, caching the compressed data in memory and using the given properties.
  `Pack200CompressorOutputStream(OutputStream out, Pack200Strategy mode)`
  Compresses the given stream using the given strategy to cache the results.
  `Pack200CompressorOutputStream(OutputStream out, Pack200Strategy mode, Map<String,String> props)`
  Compresses the given stream using the given strategy to cache the results and the given properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `finish()`
  `void`
  `write(byte[] b)`
  `void`
  `write(byte[] b, int from, int length)`
  `void`
  `write(int b)`

  ### Methods inherited from class org.apache.commons.compress.compressors.CompressorOutputStream

  `out`

  ### Methods inherited from class java.io.FilterOutputStream

  `flush`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Pack200CompressorOutputStream

    public Pack200CompressorOutputStream(OutputStream out) throws IOException
    Compresses the given stream, caching the compressed data in memory.
    Parameters:
      `out` - the stream to write to
    Throws:
      `IOException` - if writing fails

  - ### Pack200CompressorOutputStream

    public Pack200CompressorOutputStream(OutputStream out, Map<String,String> props) throws IOException
    Compresses the given stream, caching the compressed data in memory and using the given properties.
    Parameters:
      `out` - the stream to write to
      `props` - Pack200 properties to use
    Throws:
      `IOException` - if writing fails

  - ### Pack200CompressorOutputStream

    public Pack200CompressorOutputStream(OutputStream out, Pack200Strategy mode) throws IOException
    Compresses the given stream using the given strategy to cache the results.
    Parameters:
      `out` - the stream to write to
      `mode` - the strategy to use
    Throws:
      `IOException` - if writing fails

  - ### Pack200CompressorOutputStream

    public Pack200CompressorOutputStream(OutputStream out, Pack200Strategy mode, Map<String,String> props) throws IOException
    Compresses the given stream using the given strategy to cache the results and the given properties.
    Parameters:
      `out` - the stream to write to
      `mode` - the strategy to use
      `props` - Pack200 properties to use
    Throws:
      `IOException` - if writing fails

- ## Method Details

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `FilterOutputStream`
    Throws:
      `IOException`

  - ### finish

    public void finish() throws IOException
    Throws:
      `IOException`

  - ### write

    public void write(byte[] b) throws IOException
    Overrides:
      `write` in class `FilterOutputStream`
    Throws:
      `IOException`

  - ### write

    public void write(byte[] b, int from, int length) throws IOException
    Overrides:
      `write` in class `FilterOutputStream`
    Throws:
      `IOException`

  - ### write

    public void write(int b) throws IOException
    Overrides:
      `write` in class `FilterOutputStream`
    Throws:
      `IOException`